## Index

### Classes

- Socket

### Interfaces

- BindOptions
- RemoteInfo
- SocketOptions

### Type aliases

- SocketType

### Functions

- createSocket

## Type aliases

### SocketType

SocketType: "udp4" | "udp6"

- Defined in node_modules/@types/node/dgram.d.ts:19

## Functions

### createSocket

- createSocket(type: SocketType, callback?: undefined | function): Socket
- createSocket(options: SocketOptions, callback?: undefined | function): Socket

- - Defined in node_modules/@types/node/dgram.d.ts:33

  #### Parameters

  - ##### type: SocketType

  - ##### Optional callback: undefined | function

  #### Returns Socket

- - Defined in node_modules/@types/node/dgram.d.ts:34

  #### Parameters

  - ##### options: SocketOptions

  - ##### Optional callback: undefined | function

  #### Returns Socket

Generated using TypeDoc